:host {
  display: grid;
}

.body {
  max-width: 1300px;
  display: grid;
  grid-template-areas:
    "heroSection description buttons"
    "leftContent description buttons";
  grid-gap: 20px;
  overflow: visible;
  /* justify-content: center; */
  justify-self: center;
  padding: 0 20px;
}

/* media query that rearranges grid after threshold width is to small */
@media (max-width: 1150px) {
  .body {
    grid-template-areas:
      "heroSection buttons"
      "description buttons"
      "leftContent buttons";
    justify-self: center;
  }
}

/* main Container */
.leftContent {
  display: grid;
  grid-gap: 20px;
  align-content: start;
  overflow: visible;
  min-width: 40vw;
}

.description {
  padding: 10px 25px;
  display: grid;
  align-content: start;
  height: fit-content;
}

/* Contents of the container */
h2,
h1,
p {
  margin: 0;
}

.heroSection {
  display: grid;
  grid-template-columns: auto auto;
  grid-gap: 10px;
  padding: 20px 0 20px 20px;
}

.heroDetails {
  display: grid;
  align-content: start;
  grid-gap: 15px;
  /* grid-template-rows: object-fit object-fit object-fit; */
}

.line {
  border-top: 1px solid;
  width: 200px;
  /* justify-self: end; */
}

.logo {
  justify-self: end;
  max-width: 250px;
  max-height: 150px;
}

.eventList {
  /* How many columns to show. */
  --visible-cols: 3;

  /* Gap between columns. */
  --col-gap: 15px;

  /* How much to show of the next hidden column. You can use this as a hint to show the user there are more scrollable items. Particularly helpful for mobile devices where the scrollbar gets hidden by default.*/
  --col-hint: 10px;

  /*  Calculated column size. */
  --col-size: calc((100% / var(--visible-cols)) - var(--col-gap) - var(--col-hint));

  display: grid;
  grid-auto-columns: var(--col-size);
  overflow-x: scroll;
  overflow-y: visible;

  grid-gap: var(--col-gap);
  padding: 15px 7px;

}

/* .eventList::-webkit-scrollbar {
  display: none;
} */

.eventList::-webkit-scrollbar-track {
  display: none;
}

.eventList::-webkit-scrollbar {
  background-color: transparent;
}

.eventList::-webkit-scrollbar-thumb {
  display: block;
  background-color: #e5e5e5;
  border-radius: 50px;

}

.eventList::-webkit-scrollbar-thumb:hover {
  background-color: #c1bfbf;
}


.event {
  grid-row: 1;
  height: 350px;
}

.eventAdd {
  /* grid-row: 1; */
  align-self: center;
  margin-left: 10px;
}

.eventCardAdd {
  display: grid;
  align-content: center;
  justify-content: center;
  cursor: pointer;
  border: 1px solid var(--grey-color-text);
  border-radius: 5px;
  box-shadow: none;
}

.eventCardAdd:hover {
  /* box-shadow: 0 0 5px 0 var(--grey-color-text); */
  border: 5px dotted var(--grey-color-text);
}

.editButtons {
  display: grid;
  grid-gap: 50px;
  height: fit-content;
}

.buttonContainer>p {
  background-color: white;
  z-index: 10;
  position: absolute;
  margin-top: 15px;
  opacity: 0;
  transition: 0.3s ease-out;
}

.buttonContainer:hover>p {
  /* margin-left: 10px; */
  display: block;
  opacity: 1;
}

.button {
  transform: scale(1.5);
  align-self: center;
  /* justify-self: center; */
}

.newsTop {
  display: flex;
  justify-content: space-between;
}

app-news-card {
  width: 100%;
}

.networkList {
  display: grid;
  grid-template-columns: repeat(auto-fit, 150px);
  grid-auto-flow: row;
  align-content: start;
  grid-gap: 10px;
  cursor: pointer;
  overflow: visible;
}

.descContent {
  margin: 10px 0;
}

.addressLink {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;

  justify-content: space-between;
  align-items: center;
}
